//
//  ViewController.m
//  DatabaseIntro
//
//  Created by Jawaad Sheikh on 2016-03-21.
//  Copyright © 2016 Jawaad Sheikh. All rights reserved.
//

#import "ViewController.h"
#import "AppDelegate.h"

@interface ViewController ()

@end

@implementation ViewController
@synthesize lblPicker, lblTable, tbEmail, tbFood, tbName;

-(IBAction)addPerson:(id)sender
{
    AppDelegate *mainDelegate = (AppDelegate *)[[UIApplication sharedApplication] delegate];
    Data *person = [[Data alloc] initWithData:tbName.text theEmail:tbEmail.text theFood:tbFood.text];
    
    BOOL returnCode = [mainDelegate insertIntoDatabase:person];
    
    NSString *returnMsg = @"Person Added";
    
    if(returnCode == NO)
        returnMsg = @"Person Add Failed";
    
    UIAlertController *alert = [UIAlertController alertControllerWithTitle:@"SQLite Insert" message:returnMsg preferredStyle:UIAlertControllerStyleAlert];
    
    UIAlertAction *ok = [UIAlertAction actionWithTitle:@"Ok" style:UIAlertActionStyleDefault handler:nil];
    
    [alert addAction:ok];
    [self presentViewController:alert animated:YES completion:nil];
    
}

-(void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    UITouch *touch = [touches anyObject];
    CGPoint touchPoint = [touch locationInView:self.view];
    
    CGRect tableFrame = lblTable.frame;
    CGRect pickerFrame = lblPicker.frame;
    
    if(CGRectContainsPoint(tableFrame, touchPoint))
    {
        [self performSegueWithIdentifier:@"HomeSegueToTable" sender:self];
    }
    
    if(CGRectContainsPoint(pickerFrame, touchPoint))
    {
        [self performSegueWithIdentifier:@"HomeSegueToPicker" sender:self];
    }
}

-(IBAction)unwindToThisViewController:(UIStoryboardSegue *)sender
{
    
}

-(BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [textField resignFirstResponder];
    return NO;
}

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
